:root {
  --primary-color: #6c63ff;
  --secondary-color: #f5f2fe;
  --box-shadow: 0 5px 10px rgba(119, 74, 74, 0.3);
}

body {
  margin: 100px auto 20px;
}

h1 {
  font-size: 96px;
}

h2 {
  font-size: 48px;
}

h3 {
  font-size: 24px;
  opacity: 0.7;
}

h1,
h2,
h3 {
  margin: 0;
}

p {
  font-size: 18px;
  line-height: 1.5;
}

footer {
  margin-top: 80px;
  text-align: center;
}

.navbar-logo {
  max-width: 35px;
}

/*Home Page Start*/
.navigation-buttons {
  display: flex;
  justify-content: center;
  margin-top: 40px;
}

.navigation-buttons a {
  margin: 20px;
}

.primary-button {
  padding: 20px 15px;
  border-radius: 4px;
  text-decoration: none;
  text-transform: capitalize;
  background: var(--primary-color);
  color: var(--secondary-color);
  box-shadow: var(--box-shadow);
}

.primary-button:hover {
  color: var(--secondary-color);
}

.secondary-button {
  padding: 20px 15px;
  border-radius: 4px;
  text-decoration: none;
  text-transform: capitalize;
  color: var(--primary-color);
  border: 1px solid var(--primary-color);
}

.secondary-button:hover {
  color: var(--primary-color);
}
/*Home Page End*/

/* About Page Start*/
.about-section {
  display: justify-content-evenly;
  margin: 30px 0;
}

.about-section p {
  margin: 10px;
}

.email-link {
  display: flex;
  justify-content: center;
  text-decoration: none;
  color: var(--primary-color);
  font-size: 28px;
}

.email-link:hover {
  text-decoration: underline;
}

.credits {
  font-size: smaller;
}

.credits a {
  text-decoration: none;
  color: black;
  font-weight: 600;
}

.credits a:hover {
  text-decoration: underline;
}
/* About Page End*/

@media (max-width: 767px) {
  h1 {
    font-size: 48px;
  }

  h2 {
    font-size: 30px;
    text-align: center;
  }

  h3 {
    font-size: 18px;
    opacity: 0.7;
  }
  p {
    font-size: 16px;
    text-align: center;
  }

  .project-button {
    display: block;
    text-align: center;
    margin: 0 20px;
  }

  .primary-button {
    padding: 18px 13px;
  }

  .secondary-button {
    padding: 18px 13px;
  }

  .about-photos {
    margin: 10px auto;
  }

  .email-link {
    font-size: 18px;
  }
}
